from campy.gui.events.timer import pause
from zonegraphics import ZoneGraphics

FRAME_RATE = 1000 / 120 # 120 frames per second.
NUM_LIVES = 3


def main():
    graphics = ZoneGraphics()
    lives = NUM_LIVES

    while True:
        if graphics.ball_in_zone():  # terminating condition
            graphics.remove_ball()
            lives -= 1
            if lives > 0:
                graphics.reset_ball()
            else:
                break                # stop looping if we've lost 3 lives

        graphics.move_ball()
        graphics.handle_wall_collisions()
        pause(FRAME_RATE)


if __name__ == '__main__':
    main()